%global fontname kanjistrokeorders
%global fontconf 69-%{fontname}.conf
%global archivename KanjiStrokeOrders_v%{version}

Name:    %{fontname}-fonts
Version: 2.016
Release: 1%{?dist}
Summary: Font to view stroke order diagrams for Kanji, Kana and etc
License: BSD
Group:   User Interface/X
URL:     http://sites.google.com/site/nihilistorguk/
Source0: http://sites.google.com/site/nihilistorguk/Home/%{archivename}.zip
Source1: %{name}-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: fontpackages-devel
%description
This font will assist people who are learning kanji, and will help teachers of
Japanese in the preparation of classroom material.
In the parts of your document where you want the kanji to be annotated with
stroke order numbers simply set your document s font to KanjiStrokeOrders.
You will need to set the size of the font to be large to allow the stroke
order numbers to show up: 100pt seems to be the minimum usable size.


%prep
%setup -q -c
sed -i 's#\r##g' copyright.txt
sed -i 's#\r##g' readme_en_v%{version}.txt

%build
%{nil}


%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(0644, root, root, 0755)
%_font_pkg -f %{fontconf} *.ttf
%doc *.pdf *.txt


%changelog
* Fri Jul 29 2011 Paul Flo Williams <paul@frixxon.co.uk> - 2.016-1
- New upstream version

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.015-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct  16 2010 René Ribaud <rene.ribaud@free.fr> - 2.015-1
- New package with Kanji stroke order font 2.015 release.

* Fri May  07 2010 René Ribaud <rene.ribaud@free.fr> - 2.014-4
- Corrections after Parag AN review #1 of this new package.
- Replace dos2unix by sed to convert files.
- Remove some comments.

* Sun Mar  21 2010 René Ribaud <rene.ribaud@free.fr> - 2.014-3
- Fix changelog.

* Sun Mar  21 2010 René Ribaud <rene.ribaud@free.fr> - 2.014-2
- Correction after Fedora-Fr review.

* Sat Feb  20 2010 René Ribaud <rene.ribaud@free.fr> - 2.014-1
- Initial build.
